<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Formularios</title>
</head>

<body>
    <h1>Formularios</h1>
    <form action="" id="form" name="form" method="GET">
        <!--Explicar action y method POST y GET -->
        <label for="nombre">Nombre</label>
        <input type="text" name="nombre" id="nombre" value=""><br /><br />

        <label for="apellido">Apellido</label>
        <input type="text" name="apellido" id="apellido" value=""><br /><br />

        <label for="email">Email</label>
        <input type="email" name="email" id="email" value=""><br /><br />

        <label for="edad">Edad</label>
        <input type="number" name="edad" id="edad" value=""><br /><br />

        <label for="pais">País</label>
        <select name="pais" id="pais">
            <option value="Argentina">Argentina</option>
            <option value="Brasil">Brasil</option>
            <option value="Chile">Chile</option>
            <option value="Colombia">Colombia</option>
            <option value="México">México</option>
            <option value="Perú">Perú</option>
            <option value="Venezuela">Venezuela</option>
        </select> <br /><br />

        Sexo: <br />

        <label for="sexo1">Masculino</label>
        <input type="radio" class="sexo" name="sexo" id="sexo1" value="Masculino"><br />

        <label for="sexo2">Femenino</label>
        <input type="radio" class="sexo" name="sexo" id="sexo2" value="Femenino"><br />

        <label for="sexo3">Prefiero no contestar</label>
        <input type="radio" class="sexo" name="sexo" id="sexo3" value="Prefiero no contestar"><br /><br />

        Hoobies <br />
        <label for="hobbies1">Fútbol</label>
        <input type="checkbox" class="hobbies" name="hobbies[]" id="hobbies1" value="futbol"><br />

        <label for="hobbies2">Basket</label>
        <input type="checkbox" class="hobbies" name="hobbies[]" id="hobbies2" value="basket"><br />

        <label for="hobbies3">Tenis</label>
        <input type="checkbox" class="hobbies" name="hobbies[]" id="hobbies3" value="tenis"><br />

        <label for="hobbies4">Beisbol</label>
        <input type="checkbox" class="hobbies" name="hobbies[]" id="hobbie4" value="beisbol"><br />

        <label for="hobbies5">Otro</label>
        <input type="checkbox" class="hobbies" name="hobbies[]" id="hobbie5" value="otro"><br /><br />

        <label for="comentario">Comentario</label>

        <textarea name="comentario" id="comentario" cols="30" rows="10"></textarea><br><br>

        <input type="button" name="ver_resultados" id="ver_resultados" value="Ver resultados">
    </form>

    <div id="respuestas"></div>

    <script>
        document.getElementById('ver_resultados').addEventListener('click', function () {
            var nombre = document.getElementById('nombre').value;
            var apellido = document.getElementById('apellido').value;
            var email = document.getElementById('email').value;
            var edad = document.getElementById('edad').value;
            var pais = document.getElementById('pais').value;
            var comentario = document.getElementById('comentario').value;
            var sexo = '';
            var hobbies = '';

            var sexo_radios = document.getElementsByClassName('sexo');
            for (let index = 0; index < sexo_radios.length; index++) {
                const sexo_radio = sexo_radios[index];
                if (sexo_radio.checked === true) {
                    sexo = sexo_radio.value;
                }
            }

            var hobbiesCheckBoxes = document.getElementsByClassName('hobbies');

            for (const hobbiesCheckBox of hobbiesCheckBoxes) {
                if (hobbiesCheckBox.checked === true) {
                    hobbies += hobbiesCheckBox.value + ', ';
                }
            }

            // for (let index = 0; index < hobbiesCheckBoxes.length; index++) {
            //     const hobbiesCheckBox = hobbiesCheckBoxes[index];
            //     if (hobbiesCheckBox.checked === true) {
            //         hobbies += hobbiesCheckBox.value + ', ';
            //     }
            // }

            document.getElementById('respuestas').innerHTML = `Nombre: ${nombre}<br>Apellido: ${apellido}<br>Email: ${email}<br>Edad: ${edad}<br>Pais: ${pais}<br>Comentario: ${comentario}<br>Sexo: ${sexo}<br> Hobbies: ${hobbies}`;

        });
    </script>
</body>

</html>